#if !defined(AFX_NFOADDCYCLERULEDLG_H__CC7BBF35_AC2B_423B_AACC_72345167FAD8__INCLUDED_)
#define AFX_NFOADDCYCLERULEDLG_H__CC7BBF35_AC2B_423B_AACC_72345167FAD8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NFOAddCycleRuleDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNFOAddCycleRuleDlg dialog

class CNFOAddCycleRuleDlg : public CDialog
{
// Construction
public:
	CNFOAddCycleRuleDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CNFOAddCycleRuleDlg)
	enum { IDD = IDD_NFOADDCYCLERULE };
	CButton	m_OK;
	CComboBox	m_MapList;
	CComboBox	m_FileList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNFOAddCycleRuleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	BOOL LoadNFOFileName();
	BOOL LoadNFOMapName();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNFOAddCycleRuleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeNFOFileName();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NFOADDCYCLERULEDLG_H__CC7BBF35_AC2B_423B_AACC_72345167FAD8__INCLUDED_)
